<?php

//use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Middleware\CheckWebSiteEnabled;

Route::get('language/{id}/{slug?}', 'LanguageController@details');
/**
* Localization Group
*/

Route::group(['prefix' => LaravelLocalization::setLocale()], function(){

	// Route::get('/', function () {
	//     // return redirect('/admin/login');
	// });

    Route::group(['namespace' => 'Web','middleware' => [ 'checkWebSiteEnabled', 'WebsiteVisitorCount'] ], function () {
        Route::get('/', 'HomeController@index')->name('home');

        Route::get('/pages', 'PageController@index')->name('pages');
        Route::get('/pages/{page}/{slug?}', 'PageController@details')->name('page_details');

        // Route::get('/articles/categories', 'ArticleController@categories')->name('articles_categories');
        // Route::get('/articles/{category}/{slug?}', 'ArticleController@index')->name('articles');
        // Route::get('/article/{article}/{slug?}', 'ArticleController@details')->name('article_details');

    });



	/**
	* this route for the central admin and central super admin to enable them to use this website
	*/
	Route::get('/login/{admin_token}', 'Auth\LoginController@super_admin_login')->name('super_admin_login');

	/**
	* Authentication routes , and Authentication user routs
	*/
	Auth::routes();

	Route::get('/home', 'HomeController@index')->name('home');
	/**
	* Admin Routes
	*/
	Route::group([ 'prefix'=> 'admin', 'namespace' => 'Admin'], function () {

		Route::get('/login', 'LoginController@index');
		Route::post('/login', 'LoginController@authenticate')->name('admin_login');

		Route::group([ 'middleware' => ['admin_auth']], function () {
			Route::get('/', 'DashboardController@index')->name('dashboard');

			Route::post('/logout', 'LoginController@logout')->name('admin_logout');
			Route::get('/addrow/{data}', 'fetchController@addrow');
			Route::get('/addcalorie/{data}', 'fetchController@addcalorie');
			Route::get('/dating/{data}', 'fetchController@dates');
			Route::get('/branch/{data}', 'fetchController@branches');
			Route::get('/datingtrain/{data}', 'fetchController@datestrain');
			Route::get('/addfile/{data}', 'fetchController@addfile');
			Route::get('/addmeal/{data}', 'fetchController@addmeal');
			Route::get('/addcategory/{data}', 'fetchController@addcategory');
			Route::get('/addmealtype/{data}', 'fetchController@addmealtype');
			Route::get('/addmealtypes/{data}', 'fetchController@addmealtypes');
			Route::get('/addphysictypes/{data}', 'fetchController@addphysictypes');
			Route::get('/addphysic/{data}', 'fetchController@addphysic');
			Route::get('/anatomy/{data}', 'fetchController@anatomy');
			Route::get('/prescription/{data}', 'fetchController@prescription');
			Route::get('/addanatomytype/{data}', 'fetchController@addanatomytype');
			Route::get('/foodcode/{data}', 'fetchController@foodcode');
			Route::get('/mealcode/{data}', 'fetchController@mealcode');
			Route::get('/physcalcode/{data}', 'fetchController@physcalcode');
			Route::get('/physiccode/{data}', 'fetchController@physiccode');
			Route::get('/foodcalories/{data}', 'fetchController@foodcalories');
			Route::get('/foodcoding/{data}', 'fetchController@foodcoding');
			Route::get('/fooddesc/{data}', 'fetchController@fooddesc');
			Route::get('/anantomyoption/{data}', 'fetchController@anantomyoption');
			Route::get('/addmedicinetypes/{data}', 'fetchController@addmedicinetypes');
			Route::get('/historydata/{data}', 'fetchController@historydata');
			Route::get('/addketo/{data}','fetchController@addketo');
			Route::get('/addinsulin/{data}','fetchController@addinsulin');
			Route::get('/addfood/{data}','fetchController@addfood');
			Route::get('/addlastfood/{data}','fetchController@addlastfood');
			Route::get('/adduserfood/{data}','fetchController@adduserfood');
			Route::get('/foodcaloriesdata/{data}', 'fetchController@foodcaloriesdata');
			Route::get('/foodcodingdata/{data}', 'fetchController@foodcodingdata');
			Route::get('/foodcodedata/{data}', 'fetchController@foodcodedata');
			Route::get('/fooddescdata/{data}', 'fetchController@fooddescdata');
			
			
			
			
			
			
			
			
			
			
			
			Route::get('/addultra/{data}', 'fetchController@addultra');
			
			Route::get('/addstep/{data}', 'fetchController@addstep');
			Route::get('/addlang/{data}', 'fetchController@addlang');
			Route::get('/addwork/{data}', 'fetchController@addwork');
			Route::get('/addread/{data}', 'fetchController@addread');
			Route::get('/answerdata/{data}', 'fetchController@answerdata');
			Route::get('/questiondata/{data}', 'fetchController@questiondata');
			Route::get('/addquestion/{data}', 'fetchController@addquestion');
			Route::get('/addanswer/{data}', 'fetchController@addanswer');
			Route::get('/addanswers/{data}', 'fetchController@addanswers');
			Route::get('addphyscaltype/{data}', 'fetchController@addphyscaltype');
			Route::get('/addanatomytypes/{data}', 'fetchController@addanatomytypes');
			Route::get('/addphysical/{data}', 'fetchController@addphysical');
			Route::get('physicsdata/{data}', 'fetchController@physicsdata');
			
			



			Route::get('/addexperience/{data}', 'fetchController@addexperience');

			Route::group([ 'middleware' => ['checkRole']], function () {

                // USER ROUTES
                Route::put('/users/restore/{id}', 'UserController@restore')->name('users.restore');
                Route::put('/users/restore', 'UserController@restoreAll')->name('users.restoreAll');
                Route::delete('/users', 'UserController@destroyAll')->name('users.destroyAll');
                Route::get('/users/grid', 'UserController@grid')->name('users.grid');
                Route::resource('/users', 'UserController');

                // PAGES ROUTES
                Route::put('/pages/restore/{id}', 'PageController@restore')->name('pages.restore');
                Route::put('/pages/restore', 'PageController@restoreAll')->name('pages.restoreAll');
                Route::delete('/pages', 'PageController@destroyAll')->name('pages.destroyAll');
                Route::get('/pages/grid', 'PageController@grid')->name('pages.grid');
                Route::resource('/pages', 'PageController');

				// SETTING ROUTES
               	// Route::get('/settings', 'DashboardController@index')->name('admin_settings');
                Route::get('/settings', 'SettingController@index')->name('settings.index');
                Route::post('/settings', 'SettingController@store')->name('settings.store');
                Route::post('/modules-settings', 'SettingController@modules')->name('settings.modules');


                // SPECIALTY ROUTES
                Route::put('/specialties/restore/{id}', 'SpecialtyController@restore')->name('specialties.restore');
                Route::put('/specialties/restore', 'SpecialtyController@restoreAll')->name('specialties.restoreAll');
                Route::delete('/specialties', 'SpecialtyController@destroyAll')->name('specialties.destroyAll');
                Route::get('/specialties/grid', 'SpecialtyController@grid')->name('specialties.grid');
                Route::resource('/specialties', 'SpecialtyController');


                // BRANCH ROUTES
                Route::put('/branches/restore/{id}', 'BranchController@restore')->name('branches.restore');
                Route::put('/branches/restore', 'BranchController@restoreAll')->name('branches.restoreAll');
                Route::delete('/branches', 'BranchController@destroyAll')->name('branches.destroyAll');
                Route::get('/branches/grid', 'BranchController@grid')->name('branches.grid');
                Route::resource('/branches', 'BranchController');
                
                
                // SYSTEMFOODS ROUTES
                Route::put('/systemfoods/restore/{id}', 'SystemfoodController@restore')->name('systemfoods.restore');
                Route::put('/systemfoods/restore', 'SystemfoodController@restoreAll')->name('systemfoods.restoreAll');
                Route::delete('/systemfoods', 'SystemfoodController@destroyAll')->name('systemfoods.destroyAll');
                Route::get('/systemfoods/grid', 'SystemfoodController@grid')->name('systemfoods.grid');
                Route::resource('/systemfoods', 'SystemfoodController');
                Route::get('/systemfoods/print/{id}/', 'SystemfoodController@printting');
                



                // MEALS ROUTES
                Route::put('/meals/restore/{id}', 'MealController@restore')->name('meals.restore');
                Route::put('/meals/restore', 'MealController@restoreAll')->name('meals.restoreAll');
                Route::delete('/meals', 'MealController@destroyAll')->name('meals.destroyAll');
                Route::get('/meals/grid', 'MealController@grid')->name('meals.grid');
                Route::resource('/meals', 'MealController');
                
                
                // devices ROUTES
                Route::put('/devices/restore/{id}', 'DeviceController@restore')->name('devices.restore');
                Route::put('/devices/restore', 'DeviceController@restoreAll')->name('devices.restoreAll');
                Route::delete('/devices', 'DeviceController@destroyAll')->name('devices.destroyAll');
                Route::get('/devices/grid', 'DeviceController@grid')->name('devices.grid');
                Route::resource('/devices', 'DeviceController');

                
                // reads ROUTES
                Route::put('/reads/restore/{id}', 'ReadController@restore')->name('reads.restore');
                Route::put('/reads/restore', 'ReadController@restoreAll')->name('reads.restoreAll');
                Route::delete('/reads', 'ReadController@destroyAll')->name('reads.destroyAll');
                Route::get('/reads/grid', 'ReadController@grid')->name('reads.grid');
                Route::resource('/reads', 'ReadController');
                
                
                
                // userfoods ROUTES
                Route::put('/userfoods/restore/{id}', 'UserFoodController@restore')->name('userfoods.restore');
                Route::put('/userfoods/restore', 'UserFoodController@restoreAll')->name('userfoods.restoreAll');
                Route::delete('/userfoods', 'UserFoodController@destroyAll')->name('userfoods.destroyAll');
                Route::get('/userfoods/grid', 'UserFoodController@grid')->name('userfoods.grid');
                Route::resource('/userfoods', 'UserFoodController');
                
                
                // userphysics ROUTES
                Route::put('/userphysics/restore/{id}', 'UserPhysicController@restore')->name('userphysics.restore');
                Route::put('/userphysics/restore', 'UserPhysicController@restoreAll')->name('userphysics.restoreAll');
                Route::delete('/userphysics', 'UserPhysicController@destroyAll')->name('userphysics.destroyAll');
                Route::get('/userphysics/grid', 'UserPhysicController@grid')->name('userphysics.grid');
                Route::resource('/userphysics', 'UserPhysicController');
                
                
                
                
                
                // SYSTEMPHYSICS ROUTES
                Route::put('/systemphysics/restore/{id}', 'SystemPhysicController@restore')->name('systemphysics.restore');
                Route::put('/systemphysics/restore', 'SystemPhysicController@restoreAll')->name('systemphysics.restoreAll');
                Route::delete('/systemphysics', 'SystemPhysicController@destroyAll')->name('systemphysics.destroyAll');
                Route::get('/systemphysics/grid', 'SystemPhysicController@grid')->name('systemphysics.grid');
                Route::resource('/systemphysics', 'SystemPhysicController');

                
    
                // PHYSICALS ROUTES
                Route::put('/physicals/restore/{id}', 'PhysicalController@restore')->name('physicals.restore');
                Route::put('/physicals/restore', 'PhysicalController@restoreAll')->name('physicals.restoreAll');
                Route::delete('/physicals', 'PhysicalController@destroyAll')->name('physicals.destroyAll');
                Route::get('/physicals/grid', 'PhysicalController@grid')->name('physicals.grid');
                Route::resource('/physicals', 'PhysicalController');
                
                
                // roles ROUTES
                Route::put('/roles/restore/{id}', 'RoleController@restore')->name('roles.restore');
                Route::put('/roles/restore', 'RoleController@restoreAll')->name('roles.restoreAll');
                Route::delete('/roles', 'RoleController@destroyAll')->name('roles.destroyAll');
                Route::get('/roles/grid', 'RoleController@grid')->name('roles.grid');
                Route::resource('/roles', 'RoleController');
                
                
                // patientreservations ROUTES
                Route::put('/patientreservations/restore/{id}', 'PatientReservationController@restore')->name('patientreservations.restore');
                Route::put('/patientreservations/restore', 'PatientReservationController@restoreAll')->name('patientreservations.restoreAll');
                Route::delete('/patientreservations', 'PatientReservationController@destroyAll')->name('patientreservations.destroyAll');
                Route::get('/patientreservations/grid', 'PatientReservationController@grid')->name('patientreservations.grid');
                Route::resource('/patientreservations', 'PatientReservationController');
                
                
                
                // reservations ROUTES
                Route::put('/reservations/restore/{id}', 'ReservationController@restore')->name('reservations.restore');
                Route::put('/reservations/restore', 'ReservationController@restoreAll')->name('reservations.restoreAll');
                Route::delete('/reservations', 'ReservationController@destroyAll')->name('reservations.destroyAll');
                Route::get('/reservations/grid', 'ReservationController@grid')->name('reservations.grid');
                Route::resource('/reservations', 'ReservationController');
                
                
                // clients ROUTES
                Route::put('/clients/restore/{id}', 'ClientController@restore')->name('clients.restore');
                Route::put('/clients/restore', 'ClientController@restoreAll')->name('clients.restoreAll');
                Route::delete('/clients', 'ClientController@destroyAll')->name('clients.destroyAll');
                Route::get('/clients/grid', 'ClientController@grid')->name('clients.grid');
                Route::resource('/clients', 'ClientController');
                
                
                
                // notificationabsences ROUTES
                Route::put('/notificationabsences/restore/{id}', 'NotificationAbsentController@restore')->name('notificationabsences.restore');
                Route::put('/notificationabsences/restore', 'NotificationAbsentController@restoreAll')->name('notificationabsences.restoreAll');
                Route::delete('/notificationabsences', 'NotificationAbsentController@destroyAll')->name('notificationabsences.destroyAll');
                Route::get('/notificationabsences/grid', 'NotificationAbsentController@grid')->name('notificationabsences.grid');
                Route::resource('/notificationabsences', 'NotificationAbsentController');
                
                // notifications ROUTES
                Route::put('/notifications/restore/{id}', 'NotificationController@restore')->name('notifications.restore');
                Route::put('/notifications/restore', 'NotificationController@restoreAll')->name('notifications.restoreAll');
                Route::delete('/notifications', 'NotificationController@destroyAll')->name('notifications.destroyAll');
                Route::get('/notifications/grid', 'NotificationController@grid')->name('notifications.grid');
                Route::resource('/notifications', 'NotificationController');
                
                // sessions ROUTES
                Route::put('/sessions/restore/{id}', 'SessionController@restore')->name('sessions.restore');
                Route::put('/sessions/restore', 'SessionController@restoreAll')->name('sessions.restoreAll');
                Route::delete('/sessions', 'SessionController@destroyAll')->name('sessions.destroyAll');
                Route::get('/sessions/grid', 'SessionController@grid')->name('sessions.grid');
                Route::resource('/sessions', 'SessionController');
                
                
                
                // doctorreservations ROUTES
                Route::put('/doctorreservations/restore/{id}', 'DoctorReservationController@restore')->name('doctorreservations.restore');
                Route::put('/doctorreservations/restore', 'DoctorReservationController@restoreAll')->name('doctorreservations.restoreAll');
                Route::delete('/doctorreservations', 'DoctorReservationController@destroyAll')->name('doctorreservations.destroyAll');
                Route::get('/doctorreservations/grid', 'DoctorReservationController@grid')->name('doctorreservations.grid');
                Route::get('/doctorreservations/anatomyshow/{id}', 'DoctorReservationController@anatomyshow')->name('doctorreservations.anatomyshow');
                Route::get('/doctorreservations/prescriptionshow/{id}', 'DoctorReservationController@prescriptionshow')->name('doctorreservations.prescriptionshow');
                Route::get('/doctorreservations/ultrasoundshow/{id}', 'DoctorReservationController@ultrasoundshow')->name('doctorreservations.ultrasoundshow');
                Route::resource('/doctorreservations', 'DoctorReservationController');
                
                
                // trainreservations ROUTES
                Route::put('/trainreservations/restore/{id}', 'TrainReservationController@restore')->name('trainreservations.restore');
                Route::put('/trainreservations/restore', 'TrainReservationController@restoreAll')->name('trainreservations.restoreAll');
                Route::delete('/trainreservations', 'TrainReservationController@destroyAll')->name('trainreservations.destroyAll');
                Route::get('/trainreservations/grid', 'TrainReservationController@grid')->name('trainreservations.grid');
                Route::resource('/trainreservations', 'TrainReservationController');
                
                // trainnerreservations ROUTES
                Route::put('/trainnerreservations/restore/{id}', 'TrainnerReservationController@restore')->name('trainnerreservations.restore');
                Route::put('/trainnerreservations/restore', 'TrainnerReservationController@restoreAll')->name('trainnerreservations.restoreAll');
                Route::delete('/trainnerreservations', 'TrainnerReservationController@destroyAll')->name('trainnerreservations.destroyAll');
                Route::get('/trainnerreservations/grid', 'TrainnerReservationController@grid')->name('trainnerreservations.grid');
                Route::resource('/trainnerreservations', 'TrainnerReservationController');
                
                // absents ROUTES
                Route::put('/absents/restore/{id}', 'AbsentController@restore')->name('absents.restore');
                Route::put('/absents/restore', 'AbsentController@restoreAll')->name('absents.restoreAll');
                Route::delete('/absents', 'AbsentController@destroyAll')->name('absents.destroyAll');
                Route::get('/absents/grid', 'AbsentController@grid')->name('absents.grid');
                Route::resource('/absents', 'AbsentController');
                
                // questions ROUTES
                Route::put('/questions/restore/{id}', 'QuestionController@restore')->name('questions.restore');
                Route::put('/questions/restore', 'QuestionController@restoreAll')->name('questions.restoreAll');
                Route::delete('/questions', 'QuestionController@destroyAll')->name('questions.destroyAll');
                Route::get('/questions/grid', 'QuestionController@grid')->name('questions.grid');
                Route::resource('/questions', 'QuestionController');
                
                // tasks ROUTES
                Route::put('/tasks/restore/{id}', 'TaskController@restore')->name('tasks.restore');
                Route::put('/tasks/restore', 'TaskController@restoreAll')->name('tasks.restoreAll');
                Route::delete('/tasks', 'TaskController@destroyAll')->name('tasks.destroyAll');
                Route::get('/tasks/grid', 'TaskController@grid')->name('tasks.grid');
                Route::resource('/tasks', 'TaskController');
                
                // answers ROUTES
                Route::put('/answers/restore/{id}', 'AnswerController@restore')->name('answers.restore');
                Route::put('/answers/restore', 'AnswerController@restoreAll')->name('answers.restoreAll');
                Route::delete('/answers', 'AnswerController@destroyAll')->name('answers.destroyAll');
                Route::get('/answers/grid', 'AnswerController@grid')->name('answers.grid');
                Route::resource('/answers', 'AnswerController');
                
                
                // patientsessions ROUTES
                Route::put('/patientsessions/restore/{id}', 'PatientSessionController@restore')->name('patientsessions.restore');
                Route::put('/patientsessions/restore', 'PatientSessionController@restoreAll')->name('patientsessions.restoreAll');
                Route::delete('/patientsessions', 'PatientSessionController@destroyAll')->name('patientsessions.destroyAll');
                Route::get('/patientsessions/grid', 'PatientSessionController@grid')->name('patientsessions.grid');
                Route::resource('/patientsessions', 'PatientSessionController');
                
                
                // sessionreservations ROUTES
                Route::put('/sessionreservations/restore/{id}', 'SessionReservationController@restore')->name('sessionreservations.restore');
                Route::put('/sessionreservations/restore', 'SessionReservationController@restoreAll')->name('sessionreservations.restoreAll');
                Route::delete('/sessionreservations', 'SessionReservationController@destroyAll')->name('sessionreservations.destroyAll');
                Route::get('/sessionreservations/grid', 'SessionReservationController@grid')->name('sessionreservations.grid');
                Route::resource('/sessionreservations', 'SessionReservationController');
                
                
                
                // patientphysicalreservations ROUTES
                Route::put('/patientphysicalreservations/restore/{id}', 'PatientPhysicalReservationController@restore')->name('patientphysicalreservations.restore');
                Route::put('/patientphysicalreservations/restore', 'PatientPhysicalReservationController@restoreAll')->name('patientphysicalreservations.restoreAll');
                Route::delete('/patientphysicalreservations', 'PatientPhysicalReservationController@destroyAll')->name('patientphysicalreservations.destroyAll');
                Route::get('/patientphysicalreservations/grid', 'PatientPhysicalReservationController@grid')->name('patientphysicalreservations.grid');
                Route::resource('/patientphysicalreservations', 'PatientPhysicalReservationController');
                
                
                
                
                
                // PATIENTS ROUTES
                Route::put('/patients/restore/{id}', 'PatientController@restore')->name('patients.restore');
                Route::put('/patients/restore', 'PatientController@restoreAll')->name('patients.restoreAll');
                Route::delete('/patients', 'PatientController@destroyAll')->name('patients.destroyAll');
                Route::get('/patients/grid', 'PatientController@grid')->name('patients.grid');
                Route::resource('/patients', 'PatientController');
                
                // DOCTORS ROUTES
                Route::put('/doctors/restore/{id}', 'DoctorController@restore')->name('doctors.restore');
                Route::put('/doctors/restore', 'DoctorController@restoreAll')->name('doctors.restoreAll');
                Route::delete('/doctors', 'DoctorController@destroyAll')->name('doctors.destroyAll');
                Route::get('/doctors/grid', 'DoctorController@grid')->name('doctors.grid');
                Route::resource('/doctors', 'DoctorController');
                
                
                // TRAINERS ROUTES
                Route::put('/trainners/restore/{id}', 'TrainnerController@restore')->name('trainners.restore');
                Route::put('/trainners/restore', 'TrainnerController@restoreAll')->name('trainners.restoreAll');
                Route::delete('/trainners', 'TrainnerController@destroyAll')->name('trainners.destroyAll');
                Route::get('/trainners/grid', 'TrainnerController@grid')->name('trainners.grid');
                Route::resource('/trainners', 'TrainnerController');
                
                // articles ROUTES
                Route::put('/articles/restore/{id}', 'ArticleController@restore')->name('articles.restore');
                Route::put('/articles/restore', 'ArticleController@restoreAll')->name('articles.restoreAll');
                Route::delete('/articles', 'ArticleController@destroyAll')->name('articles.destroyAll');
                Route::get('/articles/grid', 'ArticleController@grid')->name('articles.grid');
                Route::resource('/articles', 'ArticleController');
                
                
                // reviews ROUTES
                Route::put('/reviews/restore/{id}', 'ReviewController@restore')->name('reviews.restore');
                Route::put('/reviews/restore', 'ReviewController@restoreAll')->name('reviews.restoreAll');
                Route::delete('/reviews', 'ReviewController@destroyAll')->name('reviews.destroyAll');
                Route::get('/reviews/grid', 'ReviewController@grid')->name('reviews.grid');
                Route::resource('/reviews', 'ReviewController');
                
                // results ROUTES
                Route::put('/results/restore/{id}', 'ResultController@restore')->name('results.restore');
                Route::put('/results/restore', 'ResultController@restoreAll')->name('results.restoreAll');
                Route::delete('/results', 'ResultController@destroyAll')->name('results.destroyAll');
                Route::get('/results/grid', 'ResultController@grid')->name('results.grid');
                Route::resource('/results', 'ResultController');
                
                
                
                // abouts ROUTES
                Route::put('/abouts/restore/{id}', 'AboutController@restore')->name('abouts.restore');
                Route::put('/abouts/restore', 'AboutController@restoreAll')->name('abouts.restoreAll');
                Route::delete('/abouts', 'AboutController@destroyAll')->name('abouts.destroyAll');
                Route::get('/abouts/grid', 'AboutController@grid')->name('abouts.grid');
                Route::resource('/abouts', 'AboutController');
                
                
                
                // physcalneeds ROUTES
                Route::put('/physcalneeds/restore/{id}', 'PhyscalNeedController@restore')->name('physcalneeds.restore');
                Route::put('/physcalneeds/restore', 'PhyscalNeedController@restoreAll')->name('physcalneeds.restoreAll');
                Route::delete('/physcalneeds', 'PhyscalNeedController@destroyAll')->name('physcalneeds.destroyAll');
                Route::get('/physcalneeds/grid', 'PhyscalNeedController@grid')->name('physcalneeds.grid');
                Route::resource('/physcalneeds', 'PhyscalNeedController');
                
                
                
                
                
                // contacts ROUTES
                Route::put('/contacts/restore/{id}', 'ContactController@restore')->name('contacts.restore');
                Route::put('/contacts/restore', 'ContactController@restoreAll')->name('contacts.restoreAll');
                Route::delete('/contacts', 'ContactController@destroyAll')->name('contacts.destroyAll');
                Route::get('/contacts/grid', 'ContactController@grid')->name('contacts.grid');
                Route::resource('/contacts', 'ContactController');
                
                
                // mails ROUTES
                Route::put('/mails/restore/{id}', 'MailController@restore')->name('mails.restore');
                Route::put('/mails/restore', 'MailController@restoreAll')->name('mails.restoreAll');
                Route::delete('/mails', 'MailController@destroyAll')->name('mails.destroyAll');
                Route::get('/mails/grid', 'MailController@grid')->name('mails.grid');
                Route::resource('/mails', 'MailController');
                
                
                // wbsettings ROUTES
                Route::put('/wbsettings/restore/{id}', 'WbsettingController@restore')->name('wbsettings.restore');
                Route::put('/wbsettings/restore', 'WbsettingController@restoreAll')->name('wbsettings.restoreAll');
                Route::delete('/wbsettings', 'WbsettingController@destroyAll')->name('wbsettings.destroyAll');
                Route::get('/wbsettings/grid', 'WbsettingController@grid')->name('wbsettings.grid');
                Route::resource('/wbsettings', 'WbsettingController');
                
                
                // types ROUTES
                Route::put('/types/restore/{id}', 'TypeController@restore')->name('types.restore');
                Route::put('/types/restore', 'TypeController@restoreAll')->name('types.restoreAll');
                Route::delete('/types', 'TypeController@destroyAll')->name('types.destroyAll');
                Route::get('/types/grid', 'TypeController@grid')->name('types.grid');
                Route::resource('/types', 'TypeController');
                
                
                // anatomies ROUTES
                Route::put('/anatomies/restore/{id}', 'AnatomyController@restore')->name('anatomies.restore');
                Route::put('/anatomies/restore', 'AnatomyController@restoreAll')->name('anatomies.restoreAll');
                Route::delete('/anatomies', 'AnatomyController@destroyAll')->name('anatomies.destroyAll');
                Route::get('/anatomies/grid', 'AnatomyController@grid')->name('anatomies.grid');
                Route::resource('/anatomies', 'AnatomyController');
                
                // medicines ROUTES
                Route::put('/medicines/restore/{id}', 'MedicineController@restore')->name('medicines.restore');
                Route::put('/medicines/restore', 'MedicineController@restoreAll')->name('medicines.restoreAll');
                Route::delete('/medicines', 'MedicineController@destroyAll')->name('medicines.destroyAll');
                Route::get('/medicines/grid', 'MedicineController@grid')->name('medicines.grid');
                Route::resource('/medicines', 'MedicineController');
                
                
                
                
                // services ROUTES
                Route::put('/services/restore/{id}', 'ServiceController@restore')->name('services.restore');
                Route::put('/services/restore', 'ServiceController@restoreAll')->name('services.restoreAll');
                Route::delete('/services', 'ServiceController@destroyAll')->name('services.destroyAll');
                Route::get('/services/grid', 'ServiceController@grid')->name('services.grid');
                Route::resource('/services', 'ServiceController');
                
                
                // requests ROUTES
                Route::put('/requests/restore/{id}', 'RequestsController@restore')->name('requests.restore');
                Route::put('/requests/restore', 'RequestsController@restoreAll')->name('requests.restoreAll');
                Route::delete('/requests', 'RequestsController@destroyAll')->name('requests.destroyAll');
                Route::get('/requests/grid', 'RequestsController@grid')->name('requests.grid');
                Route::resource('/requests', 'RequestsController');
                
                
                 // sliders ROUTES
                Route::put('/sliders/restore/{id}', 'SliderController@restore')->name('sliders.restore');
                Route::put('/sliders/restore', 'SliderController@restoreAll')->name('sliders.restoreAll');
                Route::delete('/sliders', 'SliderController@destroyAll')->name('sliders.destroyAll');
                Route::get('/sliders/grid', 'SliderController@grid')->name('sliders.grid');
                Route::resource('/sliders', 'SliderController');
                
                
                 // videos ROUTES
                Route::put('/videos/restore/{id}', 'VideoController@restore')->name('videos.restore');
                Route::put('/videos/restore', 'VideoController@restoreAll')->name('videos.restoreAll');
                Route::delete('/videos', 'VideoController@destroyAll')->name('videos.destroyAll');
                Route::get('/videos/grid', 'VideoController@grid')->name('videos.grid');
                Route::resource('/videos', 'VideoController');
                
                
                 // offers ROUTES
                Route::put('/offers/restore/{id}', 'OfferController@restore')->name('offers.restore');
                Route::put('/offers/restore', 'OfferController@restoreAll')->name('offers.restoreAll');
                Route::delete('/offers', 'OfferController@destroyAll')->name('offers.destroyAll');
                Route::get('/offers/grid', 'OfferController@grid')->name('offers.grid');
                Route::resource('/offers', 'OfferController');
                
                
                
                 // histories ROUTES
                Route::put('/histories/restore/{id}', 'HistoryController@restore')->name('histories.restore');
                Route::put('/histories/restore', 'HistoryController@restoreAll')->name('histories.restoreAll');
                Route::delete('/histories', 'HistoryController@destroyAll')->name('histories.destroyAll');
                Route::get('/histories/grid', 'HistoryController@grid')->name('histories.grid');
                Route::resource('/histories', 'HistoryController');
                
                
                // categories ROUTES
                Route::put('/categories/restore/{id}', 'CategoryController@restore')->name('categories.restore');
                Route::put('/categories/restore', 'CategoryController@restoreAll')->name('categories.restoreAll');
                Route::delete('/categories', 'CategoryController@destroyAll')->name('categories.destroyAll');
                Route::get('/categories/grid', 'CategoryController@grid')->name('categories.grid');
                Route::resource('/categories', 'CategoryController');
                
                
                
                 // codes ROUTES
                Route::put('/codes/restore/{id}', 'CodeController@restore')->name('codes.restore');
                Route::put('/codes/restore', 'CodeController@restoreAll')->name('codes.restoreAll');
                Route::delete('/codes', 'CodeController@destroyAll')->name('codes.destroyAll');
                Route::get('/codes/grid', 'CodeController@grid')->name('codes.grid');
                Route::resource('/codes', 'CodeController');
                
                
                
                  // codephyscals ROUTES
                Route::put('/codephyscals/restore/{id}', 'CodePhyscalController@restore')->name('codephyscals.restore');
                Route::put('/codephyscals/restore', 'CodePhyscalController@restoreAll')->name('codephyscals.restoreAll');
                Route::delete('/codephyscals', 'CodePhyscalController@destroyAll')->name('codephyscals.destroyAll');
                Route::get('/codephyscals/grid', 'CodePhyscalController@grid')->name('codephyscals.grid');
                Route::resource('/codephyscals', 'CodePhyscalController');
                
                
                
                
                 // insulins ROUTES
                Route::put('/insulins/restore/{id}', 'InsulinController@restore')->name('insulins.restore');
                Route::put('/insulins/restore', 'InsulinController@restoreAll')->name('insulins.restoreAll');
                Route::delete('/insulins', 'InsulinController@destroyAll')->name('insulins.destroyAll');
                Route::get('/insulins/grid', 'InsulinController@grid')->name('insulins.grid');
                Route::resource('/insulins', 'InsulinController');
                 // ketos ROUTES
                Route::put('/ketos/restore/{id}', 'KetoController@restore')->name('ketos.restore');
                Route::put('/ketos/restore', 'KetoController@restoreAll')->name('ketos.restoreAll');
                Route::delete('/ketos', 'KetoController@destroyAll')->name('ketos.destroyAll');
                Route::get('/ketos/grid', 'KetoController@grid')->name('ketos.grid');
                Route::resource('/ketos', 'KetoController');
                 // foods ROUTES
                Route::put('/foods/restore/{id}', 'FoodController@restore')->name('foods.restore');
                Route::put('/foods/restore', 'FoodController@restoreAll')->name('foods.restoreAll');
                Route::delete('/foods', 'FoodController@destroyAll')->name('foods.destroyAll');
                Route::get('/foods/grid', 'FoodController@grid')->name('foods.grid');
                Route::resource('/foods', 'FoodController');
                 // machines ROUTES
                Route::put('/machines/restore/{id}', 'MachineController@restore')->name('machines.restore');
                Route::put('/machines/restore', 'MachineController@restoreAll')->name('machines.restoreAll');
                Route::delete('/machines', 'MachineController@destroyAll')->name('machines.destroyAll');
                Route::get('/machines/grid', 'MachineController@grid')->name('machines.grid');
                Route::resource('/machines', 'MachineController');
                 // lastfoods ROUTES
                Route::put('/lastfoods/restore/{id}', 'LastFoodController@restore')->name('lastfoods.restore');
                Route::put('/lastfoods/restore', 'LastFoodController@restoreAll')->name('lastfoods.restoreAll');
                Route::delete('/lastfoods', 'LastFoodController@destroyAll')->name('lastfoods.destroyAll');
                Route::get('/lastfoods/grid', 'LastFoodController@grid')->name('lastfoods.grid');
                Route::resource('/lastfoods', 'LastFoodController');
                
                
                
                


			});  // End Role Routes


			Route::resource('/languages', 'LanguageController');
			// Route::post('/languages/{id}', 'LanguageController@update')->name('languages');

		}); // End Authenticated Admin routes
	}); // End Admin Routes

});
